# DistributedNetworkObjectBaseStub Class Reference
[Distributed Network Object Subsystem]

`#include <DistributedNetworkObjectStub.h>`

Inheritance diagram for DistributedNetworkObjectBaseStub:

List of all members.

## Public Member Functions

char * | GetEncodedClassName (void) const
virtual DistributedNetworkObject * | GetObject ()=0

## Protected Member Functions

void | RegisterStub (char *className)

## Protected Attributes

char | encodedClassName [MAXIMUM_CLASS_IDENTIFIER_LENGTH]

## Detailed Description

This is an abstract class providing glue code for the DNO subsystem. You should never access this class by yourself.

See also:
  DistributedNetworkObject

## Member Function Documentation

char * DistributedNetworkObjectBaseStub::GetEncodedClassName | ( | void |  | ) | const

Retrieve the name of the class.

Returns:
  the name of the class.

virtual DistributedNetworkObject* DistributedNetworkObjectBaseStub::GetObject | ( |  | ) | `[pure virtual]`

Retrieved the network object associated to this instance.

Returns:
  a pointer to the network object.

Implemented in DistributedNetworkObjectStub< T >.

void DistributedNetworkObjectBaseStub::RegisterStub | ( | char * | className | ) | `[protected]`

Register the stub for a specific class name.

Parameters:

  | className | the name of the class to register

## Member Data Documentation

char DistributedNetworkObjectBaseStub::encodedClassName[MAXIMUM_CLASS_IDENTIFIER_LENGTH]`[protected]`

| Contains the encoded class name for this stub

The documentation for this class was generated from the following files:

- Projects/raknet/include/raknet/DistributedNetworkObjectStub.h
- Projects/raknet/Source/DistributedNetworkObjectStub.cpp